package com.ruoyi.ss.card.mapper;

import java.util.List;
import com.ruoyi.ss.card.domain.SsCard;
import com.ruoyi.ss.card.domain.SsCardVO;
import com.ruoyi.ss.card.domain.SsCardQuery;
import org.apache.ibatis.annotations.Param;

/**
 * 卡券Mapper接口
 *
 * @author qzz
 * @date 2025-03-03
 */
public interface SsCardMapper
{
    /**
     * 查询卡券
     *
     * @param couponId 卡券主键
     * @return 卡券
     */
    public SsCardVO selectSsCardByCouponId(Long couponId);

    /**
     * 查询卡券列表
     *
     * @param query 卡券
     * @return 卡券集合
     */
    public List<SsCardVO> selectSsCardList(@Param("query")SsCardQuery query);

    /**
     * 新增卡券
     *
     * @param ssCard 卡券
     * @return 结果
     */
    public int insertSsCard(SsCard ssCard);

    /**
     * 修改卡券
     *
     * @param ssCard 卡券
     * @return 结果
     */
    public int updateSsCard(@Param("data") SsCard ssCard);

    /**
     * 删除卡券
     *
     * @param couponId 卡券主键
     * @return 结果
     */
    public int deleteSsCardByCouponId(Long couponId);

    /**
     * 批量删除卡券
     *
     * @param couponIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSsCardByCouponIds(Long[] couponIds);
}
